{ config, lib, pkgs, ... }:

{
  programs.nix-ld.enable = true;
  programs.nix-ld.libraries = with pkgs; [
    zlib.out
    zstd
    stdenv.cc.cc
    curlFull
    openssl.out
    attr
    libssh
    libxcrypt.out
    bzip2
    libxml2
    acl
    libsodium
    util-linux
    xz
    systemd
    fontconfig
    freetype
    gnutls
    util-linux
    libGL.dev
    psutils
    egl-wayland
    eglexternalplatform
    glfw-wayland
    glfw
    libGL.dev
    libuv.out
    libressl.out
    libudev-zero.out
    mesa.out
    gst_all_1.gstreamer
    gst_all_1.gst-plugins-base
    gst_all_1.gst-plugins-bad
    gst_all_1.gst-plugins-good
    gst_all_1.gst-plugins-ugly
    gst_all_1.gst-editing-services.out
    gst_all_1.gstreamermm.dev
    gst_all_1.gst-rtsp-server.out
    gst_all_1.gst-devtools.out

    glib
    alsa-lib
    jdk
    vulkan-loader
    libffi.out
    gcc.out
    libgcc.lib
    stdenv.cc.cc.lib
  ];
}
