{ config, lib, pkgs, ... }:

{
  home.packages = with pkgs; [
    # beets
    (beets.override {
      pluginOverrides = {
        fish.enable = true;
        discogs.enable = true;
        the.enable = true;
        duplicates.enable = true;
        embedart.enable = true;
        fetchart.enable = true;
        mbsync.enable = true;
        missing.enable = true;
        unimported.enable = true;
        inline.enable = true;
        lastgenre.enable = true;
        albumtypes.enable = true;
        ftintitle.enable = true;
        plexupdate.enable = true;
        importadded.enable = true;
        edit.enable = true;
        info.enable = true;
        mpdupdate.enable = true;
        fuzzy.enable = true;
      };
    })
  ];

  xdg.configFile."beets/config.yaml".source = ./beets/config.yaml;
}
